package com.atlassian.bitbucket.test;

public class CommitCommentLikeHelper extends AbstractCommentLikeHelper {

    private final String commitHash;

    public CommitCommentLikeHelper(String projectKey, String repositorySlug, String commitHash) {
        super(projectKey, repositorySlug);
        this.commitHash = commitHash;
    }

    @Override
    public String getCommentLikesURL(long commentId) {
        return getRepoBaseURL() + "/commits/" + commitHash + "/comments/" + commentId + "/likes";
    }
}
